diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicRubyglassConduit.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicRubyglassConduit.java
new file mode 100644
index 000000000..8e527e43f
--- /dev/null
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicRubyglassConduit.java
@@ -0,0 +1,490 @@
+package net.minecraft.core.block;
+
+import net.minecraft.core.block.material.Material;
+import net.minecraft.core.entity.Mob;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.sound.SoundCategory;
+import net.minecraft.core.util.helper.Direction;
+import net.minecraft.core.util.helper.Side;
+import net.minecraft.core.world.LevelListener;
+import net.minecraft.core.world.World;
+import net.minecraft.core.world.WorldSource;
+import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
+
+import java.lang.reflect.Array;
+import java.util.ArrayList;
+import java.util.List;
+import java.util.Random;
+
+public class BlockLogicRubyglassConduit extends BlockLogic {
+
+    public static final Side[][] STATE_TABLE = {
+            {},                         // 0
+            {Side.BOTTOM}, {Side.TOP},  // 1-2
+            {Side.NORTH}, {Side.SOUTH}, // 3-4
+            {Side.WEST}, {Side.EAST},   // 5-6
+
+            {Side.BOTTOM, Side.TOP},    // 7 Y-Axis
+            {Side.NORTH, Side.SOUTH},   // 8 Z-Axis
+            {Side.WEST, Side.EAST},     // 9 X-Axis
+
+            {Side.BOTTOM, Side.NORTH}, {Side.BOTTOM, Side.SOUTH}, // 10-11
+            {Side.BOTTOM, Side.WEST}, {Side.BOTTOM, Side.EAST},   // 12-13
+            {Side.TOP, Side.NORTH}, {Side.TOP, Side.SOUTH},       // 14-15
+            {Side.TOP, Side.WEST}, {Side.TOP, Side.EAST},         // 16-17
+            {Side.NORTH, Side.WEST}, {Side.NORTH, Side.EAST},     // 18-19
+            {Side.SOUTH, Side.WEST}, {Side.SOUTH, Side.EAST}      // 20-21
+    };
+
+    //PROPAGATION_LENGTH can ONLY BE A MAXIMUM OF 10. Anymore and the data will become mangled.
+    //if changed after implementation, data of existing conduits will become mangled without a converter.
+    //TODO There are a couple of hardcoded segments of code that do not account for PROPAGATION_LENGTH
+    private static final int PROPAGATION_LENGTH = 10;
+    public static final int STATE_COUNT = 22;
+
+    public BlockLogicRubyglassConduit(@NotNull Block<?> block, @NotNull Material material) {
+        super(block, material);
+    }
+
+    @Override
+    public int tickDelay() {
+        return 0;
+    }
+
+    @Override
+    public void updateTick(final @NotNull World world, final @NotNull TilePosc tilePos, final @NotNull Random rand, final boolean isRandomTick) {
+        onNeighborChanged(world, tilePos, this.block);
+    }
+
+    @Override
+    public void animationTick(final @NotNull World world, final @NotNull TilePosc tilePos, final @NotNull Random rand) {
+        int data = world.getBlockData(tilePos);
+        int strength = data / STATE_COUNT;
+
+        if (strength > 0) {
+            world.playBlockEvent(tilePos, LevelListener.EVENT_CONDUIT_SURFACE_PARTICLES, packEventConduitData(Side.NONE, strength));
+        }
+    }
+
+    @Override
+    public boolean isSolidRender() {
+        return false;
+    }
+
+    @Override
+    public boolean isCubeShaped() {
+        return false;
+    }
+
+    @Override
+    public boolean isSignalSource() {return true;}
+
+    @Override
+    public void onNeighborChanged(final @NotNull World world, final @NotNull TilePosc cTilePos, final @NotNull Block<?> block) {
+        if (world.isClientSide) return;
+        world.getConduitHandler().onConduitUpdated(cTilePos);
+    }
+
+    @Override
+    public void onPlacedByWorld(@NotNull World world, @NotNull TilePosc tilePos) {
+        super.onPlacedByWorld(world, tilePos);
+        if (!world.isClientSide) {
+            world.getConduitHandler().onConduitAdded(tilePos);
+        }
+    }
+
+    @Override
+    public void onRemoved(@NotNull World world, @NotNull TilePosc tilePos, int data) {
+        super.onRemoved(world, tilePos, data);
+        if (!world.isClientSide) {
+            world.getConduitHandler().onConduitRemoved(tilePos, data);
+        }
+    }
+
+
+    /**
+     * Defines the placement and routing behavior of the conduit when placed into the world by an entity.
+     * <p>
+     * This method handles two distinct placement modes:
+     * <ul>
+     * <li><b>Sneaking (Manual Placement):</b> Bypasses auto-connection. If placed against a closed conduit port,
+     * it will force that port open and connect to it. Otherwise, it defaults to routing a connection from the
+     * clicked block face toward the placing entity.</li>
+     * <li><b>Standard (Auto-connection):</b> Scans adjacent blocks for valid, open conduit ports.
+     * <ul>
+     * <li><i>1 Valid Neighbor:</i> Routes from the neighbor toward the entity.</li>
+     * <li><i>2 Valid Neighbors:</i> Creates a straight or corner connection linking both neighbors.</li>
+     * <li><i>3+ Valid Neighbors:</i> Defaults to routing from the block placed against toward the entity.</li>
+     * </ul>
+     * </li>
+     * </ul>
+     * @param world          World the block is being placed in.
+     * @param cTilePos       The position where this new conduit is being placed.
+     * @param sidePlacedOnto The face of the existing block that the entity clicked against to place this block.
+     * @param mob            The entity (usually a Player) placing the block.
+     * @param xHit           The X coordinate of the cursor hit on the block face.
+     * @param yHit           The Y coordinate of the cursor hit on the block face.
+     */
+    @Override
+    public void onPlacedByMob(final @NotNull World world, final @NotNull TilePosc cTilePos, final @NotNull Side sidePlacedOnto, final @NotNull Mob mob, final double xHit, final double yHit) {
+        Side sideFacingPlayer = Direction.getDirection(mob).getOpposite().getSide();
+        Side sideClickedAgainst = sidePlacedOnto.getOpposite();
+
+        int stateToPlaceAs = 0;
+        if (mob.isSneaking()) {
+            boolean openedClosedFace = false;
+            TilePos clickedPos = new TilePos(cTilePos.x() + sideClickedAgainst.getOffsetX(), cTilePos.y() + sideClickedAgainst.getOffsetY(), cTilePos.z() + sideClickedAgainst.getOffsetZ());
+
+            if (world.getBlockType(clickedPos) == this.block) {
+                int clickedData = world.getBlockData(clickedPos);
+
+                if (!isSideOpen(clickedData, sidePlacedOnto)) {
+                    int clickedState = clickedData % STATE_COUNT;
+                    int clickedStrength = clickedData / STATE_COUNT;
+                    int newClickedState = getNextState(clickedState, sidePlacedOnto);
+
+                    if (newClickedState != clickedState) {
+                        world.setBlockDataNotify(clickedPos, clickedStrength * STATE_COUNT + newClickedState);
+                        this.onNeighborChanged(world, clickedPos, this.block);
+                        openedClosedFace = true;
+                    }
+
+                }
+            }
+
+            if (openedClosedFace) {
+                stateToPlaceAs = getNextState(0, sideClickedAgainst);
+            } else {
+                if (sideClickedAgainst != sideFacingPlayer && sideFacingPlayer != Side.NONE) {
+                    stateToPlaceAs = getStateFromTwoSides(sideClickedAgainst, sideFacingPlayer);
+                } else {
+                    stateToPlaceAs = getNextState(0, sideClickedAgainst);
+                }
+            }
+        }
+        else {
+            List<Side> validSides = new ArrayList<>();
+
+            for (Side side : Side.values()) {
+                TilePos nTilePos = new TilePos(cTilePos.x() + side.getOffsetX(), cTilePos.y() + side.getOffsetY(), cTilePos.z() + side.getOffsetZ());
+
+                if (world.getBlockType(nTilePos) == this.block) {
+                    int nData = world.getBlockData(nTilePos);
+
+                    if (isSideOpen(nData, side.getOpposite())) {
+                        validSides.add(side);
+                    }
+                }
+            }
+
+            int numOfValidSides = validSides.size();
+
+            if (numOfValidSides == 1) {
+                Side autoConnectedSide = validSides.get(0);
+
+                if (sideFacingPlayer != autoConnectedSide && sideFacingPlayer != Side.NONE) {
+                    stateToPlaceAs = getStateFromTwoSides(autoConnectedSide, sideFacingPlayer);
+                } else {
+                    stateToPlaceAs = getNextState(0, autoConnectedSide);
+                }
+            } else if (numOfValidSides == 2) {
+                stateToPlaceAs = getStateFromTwoSides(validSides.get(0), validSides.get(1));
+            } else if (numOfValidSides > 2) {
+                TilePos nTilePos = new TilePos(cTilePos).add(sideClickedAgainst);
+
+                boolean isMatchingNeighbor = world.getBlockType(nTilePos) == this.block;
+                boolean isNeighborSideOpen = isSideOpen(world.getBlockData(nTilePos), sidePlacedOnto);
+
+                if (isMatchingNeighbor && isNeighborSideOpen) {
+                    if (sideFacingPlayer != sideClickedAgainst && sideFacingPlayer != Side.NONE) {
+                        stateToPlaceAs = getStateFromTwoSides(sideClickedAgainst, sideFacingPlayer);
+                    } else {
+                        stateToPlaceAs = getNextState(0, sideClickedAgainst);
+                    }
+                }
+            }
+        }
+
+        if (stateToPlaceAs != 0) {
+            world.setBlockDataNotify(cTilePos, stateToPlaceAs);
+            this.onNeighborChanged(world, cTilePos, this.block);
+        }
+    }
+
+
+    /**
+     * Handles right-click interactions with an existing conduit in the world.
+     * <p>
+     * This method controls the manual toggling of conduit connection ports. The interaction succeeds
+     * and toggles the port state under the following conditions:
+     * <ul>
+     * <li>The player is holding nothing (empty hand).</li>
+     * <li>The player is holding another conduit, but clicks on a <b>closed</b> port.</li>
+     * </ul>
+     * <p>
+     * If the player is holding a different block/item, or holding a conduit and clicks an <b>open</b> port,
+     * this method yields the interaction to allow standard block placement or item usage.
+     * <p>
+     * Successful interactions will update the block state, trigger neighbor updates, play activation
+     * sound effects, and spawn visual port particles.
+     * @param world    The world containing the block.
+     * @param cTilePos The position of the conduit being interacted with.
+     * @param player   The player interacting with the block.
+     * @param side     The specific face of the conduit that was clicked (can be null if interacted via indirect means).
+     * @param xHit     The precise X coordinate of the cursor hit on the block face.
+     * @param yHit     The precise Y coordinate of the cursor hit on the block face.
+     * @return {@code true} if the interaction was consumed (port toggled); {@code false} if the interaction
+     * should pass through to default item/block placement logic.
+     */
+    @Override
+    public boolean onInteracted(final @NotNull World world, final @NotNull TilePosc cTilePos, final @NotNull Player player, final @Nullable Side side, final double xHit, final double yHit) {
+        if(side == null) return false;
+
+        boolean holdingNothing = player.getHeldItem() == null;
+        boolean holdingConduit = !holdingNothing && player.getHeldItem().itemID == this.block.id();
+
+        if (!holdingNothing && !holdingConduit) {
+            return false;
+        }
+
+        int cData = world.getBlockData(cTilePos);
+
+        if (holdingConduit && isSideOpen(cData, side)) {
+            return false;
+        }
+
+        int cState = cData % STATE_COUNT;
+        int cStrength = cData / STATE_COUNT;
+
+        int nextState = getNextState(cState, side);
+
+        if (nextState != cState) {
+            world.setBlockDataNotify(cTilePos, cStrength * STATE_COUNT + nextState);
+            onNeighborChanged(world, cTilePos, this.block);
+
+            world.playSoundEffect(player, SoundCategory.WORLD_SOUNDS, cTilePos.x(), cTilePos.y(), cTilePos.z(), "tile.activator.use", 1, 1.2f);
+            world.playSoundEffect(player, SoundCategory.WORLD_SOUNDS, cTilePos.x(), cTilePos.y(), cTilePos.z(), "note.hat", 0.7f, 0.4f);
+            world.playBlockEvent(cTilePos, LevelListener.EVENT_CONDUIT_PORT_PARTICLES, packEventConduitData(side, cStrength));
+
+            return true;
+        }
+
+        return false;
+    }
+
+    public static byte packEventConduitData(Side side, int strength) {
+        if (side == null) side = Side.NONE;
+        int s = Math.max(0, Math.min(10, strength));
+        int sideId = side.getId() & 0x07;
+        return (byte) ((sideId << 4) | (s & 0x0F));
+    }
+
+    @Override
+    public boolean isEmittingSignal(final @NotNull WorldSource world, final @NotNull TilePosc tilePos, final @NotNull Side side) {
+        int data = world.getBlockData(tilePos);
+        int currentPower = data / STATE_COUNT;
+
+        if (currentPower == 0) {
+            return false;
+        }
+
+        //can only emit signal out of an open face
+        Side conduitFace = side.getOpposite();
+        return isSideOpen(data, conduitFace);
+    }
+
+    @Override
+    public boolean isEmittingDirectSignal(final @NotNull World world, final @NotNull TilePosc tilePos, final @NotNull Side side) {
+        int data = world.getBlockData(tilePos);
+        int currentPower = data / STATE_COUNT;
+
+        if (currentPower == 0) {
+            return false;
+        }
+
+        //can only emit signal out of an open face
+        Side conduitFace = side.getOpposite();
+        return isSideOpen(data, conduitFace);
+    }
+
+
+    /**
+     * Dynamically determines the next state of a conduit based on a queried side (interacted with, placed against, trying to connect to).
+     * @param currentState The current state of the conduit
+     * @param sideQueried The side that was queried.
+     * @return The new conduit state based on the interaction
+     */
+    private int getNextState(int currentState, @NotNull Side sideQueried) {
+        Side[] nestState = STATE_TABLE[currentState];
+
+        for (Side side : nestState) {
+            if (side == sideQueried) {
+                if (nestState.length == 1) return 0;
+                Side remainingSide = (nestState[0] == sideQueried) ? nestState[1] : nestState[0];
+                return remainingSide.getId() + 1;
+            }
+        }
+
+        if (nestState.length == 0) {
+            return sideQueried.getId() + 1;
+        }
+        else if (nestState.length == 1) {
+            return getStateFromTwoSides(nestState[0], sideQueried);
+        }
+
+        return currentState;
+    }
+
+    /**
+     * Determines a state that contains the two provided sides.
+     * @param s1 The first open side
+     * @param s2 The second open side
+     * @return The conduit state that matches the two side parameters or 0 if no match is found
+     */
+    private int getStateFromTwoSides(@NotNull Side s1, @NotNull Side s2) {
+        for (int i = 7; i < STATE_TABLE.length; i++) {
+            Side[] pair = STATE_TABLE[i];
+
+            boolean match1 = (pair[0] == s1 || pair[1] == s1);
+            boolean match2 = (pair[0] == s2 || pair[1] == s2);
+
+            if (match1 && match2) {
+                return i;
+            }
+        }
+        return 0;
+    }
+
+
+
+    /**
+     * Determines the incoming signal strength from a neighboring block on any given side of the conduit and converts it. <div></div>
+     * n = neighbor (ex. nTilePos = neighboring blocks TilePos) <div></div>
+     * c = conduit (ex. cStrength = this conduit Signal Strength) <div></div>
+     * @param world The world
+     * @param cTilePos The position of the conduit
+     * @param side The side to check
+     * @return A converted signal value from 0 to 7
+     */
+    public static int getAndConvertNeighborSignal(@NotNull WorldSource world, @NotNull TilePosc cTilePos, @NotNull Side side) {
+
+        TilePos nTilePos = new TilePos(cTilePos.x() + side.getOffsetX(), cTilePos.y() + side.getOffsetY(), cTilePos.z() + side.getOffsetZ());
+        Block<?> nBlockType = world.getBlockType(nTilePos);
+
+        int cStrength = world.getBlockData(cTilePos) / STATE_COUNT;
+
+        if(nBlockType == Blocks.WIRE_REDSTONE) {
+            int nData = world.getBlockData(nTilePos);
+            int nStrength = nData & BlockLogicWireRedstone.MASK_POWER;
+            return signalConverter(nStrength, false);
+        }
+
+        if (nBlockType == Blocks.RUBYGLASS_CONDUIT) {
+            int nData = world.getBlockData(nTilePos);
+            if (isSideOpen(nData, side.getOpposite())) {
+                int nStrength = nData / STATE_COUNT;
+
+                if (nStrength <= cStrength) return 0;
+
+                return nStrength - 1;
+            }
+            return 0;
+        }
+
+        if (world instanceof World world1) {
+
+            boolean isPowerCube = nBlockType ==
+                    Blocks.BLOCK_REDSTONE ||
+                    nBlockType == Blocks.PUMPKIN_REDSTONE ||
+                    nBlockType == Blocks.MATCHER_ACTIVE;
+
+            if (world1.isBlockNormalCube(nTilePos) && !isPowerCube) {
+                for (Side s : Side.sides) {
+                    TilePos queryPos = new TilePos(nTilePos.x() + s.getOffsetX(), nTilePos.y() + s.getOffsetY(), nTilePos.z() + s.getOffsetZ());
+                    Block<?> queryBlock = world1.getBlockType(queryPos);
+
+                    if (queryBlock != Blocks.WIRE_REDSTONE && queryBlock != Blocks.RUBYGLASS_CONDUIT) {
+                        if (queryBlock.isEmittingDirectSignal(world1, queryPos, s)) {
+                            return PROPAGATION_LENGTH;
+                        }
+                    }
+                }
+            } else {
+                if (nBlockType.isEmittingSignal(world1, nTilePos, side)) {
+                    return PROPAGATION_LENGTH;
+                }
+            }
+        } else {
+            if (nBlockType.isSignalSource() && nBlockType.isEmittingSignal(world, nTilePos, side)) {
+                return PROPAGATION_LENGTH;
+            }
+        }
+        return 0;
+    }
+
+    /**
+     * Determines a conduit power level output toward a given side, or 0 if that side is closed. <div></div>
+     *      c = conduit (ex. cStrength = this conduit Signal Strength) <div></div>
+     * @param cData The metadata of the conduit.
+     * @param sideTowardReceiver The side of the conduit facing the block asking for power.
+     * @return Conduit power (0-{@link #PROPAGATION_LENGTH})
+     */
+    public static int getOutputPower(int cData, @NotNull Side sideTowardReceiver) {
+        return isSideOpen(cData, sideTowardReceiver) ? cData / STATE_COUNT : 0;
+    }
+
+    /**
+     * Determines if a specific side on a conduit is open. <div></div>
+     *      c = conduit (ex. cStrength = this conduit Signal Strength) <div></div>
+     * @param cData The metadata of the conduit to check.
+     * @param side The side to check.
+     * @return true if the side is open, false otherwise.
+     */
+    public static boolean isSideOpen(int cData, @NotNull Side side) {
+        int cState = cData % STATE_COUNT;
+
+        if (cState == 0) {
+            return false;
+        }
+
+        Side[] openSides = STATE_TABLE[cState];
+
+        for (Side s : openSides) {
+            if (s == side) {
+                return true;
+            }
+        }
+
+        return false;
+    }
+
+    /**
+     * Determines which sides on a given conduit are open. <div></div>
+     *      c = conduit (ex. cStrength = this conduit Signal Strength) <div></div>
+     * @param cData The metadata of the conduit to check.
+     * @return a {@link Side} {@link Array} of sides that are open.
+     */
+    public static Side[] getOpenSides(int cData){
+        return STATE_TABLE[cData % STATE_COUNT];
+    }
+
+    public static final int[] REDSTONE_TO_CONDUIT = {0, 0, 1, 2, 2, 3, 4, 4, 5, 6, 6, 7, 8, 8, 9, 10};
+    public static final int[] CONDUIT_TO_REDSTONE = {0, 1, 2, 4, 5, 7, 8, 10, 11, 13, 14};
+
+    /**
+     * Converts signal strengths between redstone and conduit.
+     * @param strength The signal strength to convert
+     * @param conduitToRedstone Whether to convert conduit -> redstone or vice versa
+     * @return The converted signal strength (0-10)->(0-15) or (0-15)->(0-10)
+     */
+    public static int signalConverter(int strength, boolean conduitToRedstone) {
+        return conduitToRedstone
+                ? CONDUIT_TO_REDSTONE[Math.max(0, Math.min(PROPAGATION_LENGTH, strength))]
+                : REDSTONE_TO_CONDUIT[Math.max(0, Math.min(15, strength))];
+    }
+}
+
+
diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
index 149ddad2f..04bb1f4eb 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicWireRedstone.java
@@ -9,6 +9,7 @@ import net.minecraft.core.current.util.BlockState;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
+import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Axis;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
@@ -264,6 +265,11 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     private int checkTarget(@NotNull World world, @NotNull TilePos tilePos, int sourceStrength) {
+        if(world.getBlockType(tilePos) == Blocks.RUBYGLASS_CONDUIT){
+            int cStrength = world.getBlockData(tilePos) / BlockLogicRubyglassConduit.STATE_COUNT;
+            return Math.max(BlockLogicRubyglassConduit.signalConverter(cStrength, true), sourceStrength);
+        }
+
         if (world.getBlockType(tilePos) != this.block) {
             return sourceStrength;
         }
@@ -314,33 +320,33 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
         TilePos queryPos = new TilePos();
         boolean negXShouldConnectTo =
             shouldConnectTo(source, tilePos.add(-1, 0, 0, queryPos), Side.WEST) ||
-                shouldConnectToDiagonal(source, tilePos.add(-1, -1, 0, queryPos), Side.WEST, Side.BOTTOM);
+                    shouldConnectToDiagonal(source, tilePos.add(-1, -1, 0, queryPos), Side.WEST, Side.BOTTOM);
 
         boolean posXShouldConnectTo =
             shouldConnectTo(source, tilePos.add(1, 0, 0, queryPos), Side.EAST) ||
-                shouldConnectToDiagonal(source, tilePos.add(1, -1, 0, queryPos), Side.EAST, Side.BOTTOM);
+                    shouldConnectToDiagonal(source, tilePos.add(1, -1, 0, queryPos), Side.EAST, Side.BOTTOM);
 
         boolean negZShouldConnectTo =
             shouldConnectTo(source, tilePos.add(0, 0, -1, queryPos), Side.NORTH) ||
-                shouldConnectToDiagonal(source, tilePos.add(0, -1, -1, queryPos), Side.NORTH, Side.BOTTOM);
+                    shouldConnectToDiagonal(source, tilePos.add(0, -1, -1, queryPos), Side.NORTH, Side.BOTTOM);
 
         boolean posZShouldConnectTo =
             shouldConnectTo(source, tilePos.add(0, 0, 1, queryPos), Side.SOUTH) ||
-                shouldConnectToDiagonal(source, tilePos.add(0, -1, 1, queryPos), Side.SOUTH, Side.BOTTOM);
+                    shouldConnectToDiagonal(source, tilePos.add(0, -1, 1, queryPos), Side.SOUTH, Side.BOTTOM);
 
         if (!source.isBlockNormalCube(tilePos.up(queryPos))) {
             if (isClimbableWall(source, tilePos.add(-1, 0, 0, queryPos), Side.WEST) &&
                 shouldConnectToDiagonal(source, tilePos.add(-1, 1, 0, queryPos), Side.WEST, Side.TOP))
-            {negXShouldConnectTo = true;}
+                    {negXShouldConnectTo = true;}
             if (isClimbableWall(source, tilePos.add(1, 0, 0, queryPos), Side.EAST) &&
                 shouldConnectToDiagonal(source, tilePos.add(1, 1, 0, queryPos), Side.EAST, Side.TOP))
-            {posXShouldConnectTo = true;}
+                    {posXShouldConnectTo = true;}
             if (isClimbableWall(source, tilePos.add(0, 0, -1, queryPos), Side.NORTH) &&
                 shouldConnectToDiagonal(source, tilePos.add(0, 1, -1, queryPos), Side.NORTH, Side.TOP))
-            {negZShouldConnectTo = true;}
+                    {negZShouldConnectTo = true;}
             if (isClimbableWall(source, tilePos.add(0, 0, 1, queryPos), Side.SOUTH) &&
                 shouldConnectToDiagonal(source, tilePos.add(0, 1, 1, queryPos), Side.SOUTH, Side.TOP))
-            {posZShouldConnectTo = true;}
+                    {posZShouldConnectTo = true;}
         }
         // Make wire emit block updates when a redirection happens
         if (source instanceof World world) {
@@ -420,6 +426,9 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
             final Side direction = BlockLogicRepeater.getSideFromMeta(source.getBlockData(tilePos));
             return side == direction || side == direction.getOpposite();
         }
+        if (block == Blocks.RUBYGLASS_CONDUIT) {
+            return BlockLogicRubyglassConduit.isSideOpen(source.getBlockData(tilePos), side.getOpposite());
+        }
         return block.isSignalSource();
     }
 
@@ -436,7 +445,7 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
             return false;
         }
 
-        // Most of the code below is relevant to fixing the visual behavior
+        //Most of the code below is relevant to fixing the visual behavior
         // of diagonal connections on both transparent and non-transparent blocks
         // (now that it is done get me out of this class :) I don't want to touch it again)
 
@@ -512,21 +521,32 @@ public class BlockLogicWireRedstone extends BlockLogic implements ISupportable {
     }
 
     /** Helper to determine if a block acts as a solid cube for redstone climbing. <div></div> **/
-    private static boolean isSolidWallForWire(@NotNull WorldSource world, @NotNull TilePos pos, @NotNull Side faceToCheck) {
+    private static boolean isSolidWallForWire(WorldSource world, TilePos pos, Side faceToCheck) {
         if (world.isBlockNormalCube(pos)) return true;
-        //leave separate
+        if (world.getBlockType(pos) == Blocks.RUBYGLASS_CONDUIT) {
+            return !BlockLogicRubyglassConduit.isSideOpen(world.getBlockData(pos), faceToCheck);
+        }
         return false;
     }
 
-    private static boolean isBlockingConduit(@NotNull WorldSource world, @NotNull TilePos pos, @NotNull Side openSide) {
-        //leave in preparation of conduit logic
+    private static boolean isBlockingConduit(WorldSource world, TilePos pos, Side openSide) {
+        if (world.getBlockType(pos) == Blocks.RUBYGLASS_CONDUIT) {
+            return BlockLogicRubyglassConduit.isSideOpen(world.getBlockData(pos), openSide);
+        }
         return false;
     }
 
-    /** Determines if redstone dust is allowed to visually climb the side of a block. **/
-    public static boolean isClimbableWall(@NotNull WorldSource world, @NotNull TilePos wallTilePos, @NotNull Side directionToWall) {
-        if (world.isBlockNormalCube(wallTilePos)) return true;
-        //leave separate
+    /**
+     * Determines if redstone dust is allowed to visually climb the side of a block.
+     * Conduits, being an exception, can ONLY be climbed if the face pointing toward the bottom dust is closed.
+     */
+    public static boolean isClimbableWall(WorldSource world, TilePos wallTilePos, Side directionToWall) {
+        if (world.isBlockNormalCube(wallTilePos)) {
+            return true;
+        }
+        if (world.getBlockType(wallTilePos) == Blocks.RUBYGLASS_CONDUIT) {
+            return !BlockLogicRubyglassConduit.isSideOpen(world.getBlockData(wallTilePos), directionToWall.getOpposite());
+        }
         return false;
     }
 
